IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network1.40.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
1.40.0.0- Broadcast address
1.47.255.255- First usable
1.40.0.1- Last usable
1.47.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
01280000· Integer19398656to19922943 - Reverse DNS zones
40.1.in-addr.arpa41.1.in-addr.arpa42.1.in-addr.arpa43.1.in-addr.arpa44.1.in-addr.arpa45.1.in-addr.arpa46.1.in-addr.arpa47.1.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000001.00101000.00000000.00000000 | 1.40.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00000001.00101000.00000000.00000000 | 1.40.0.0 |
| Broadcast | 00000001.00101111.11111111.11111111 | 1.47.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
1.40.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 1.40.0.0/23 | 1.40.0.1 to 1.40.1.254 | 1.40.1.255 | 510 |
| 2 | 1.40.2.0/23 | 1.40.2.1 to 1.40.3.254 | 1.40.3.255 | 510 |
| 3 | 1.40.4.0/23 | 1.40.4.1 to 1.40.5.254 | 1.40.5.255 | 510 |
| 4 | 1.40.6.0/23 | 1.40.6.1 to 1.40.7.254 | 1.40.7.255 | 510 |
| 5 | 1.40.8.0/23 | 1.40.8.1 to 1.40.9.254 | 1.40.9.255 | 510 |
| 6 | 1.40.10.0/23 | 1.40.10.1 to 1.40.11.254 | 1.40.11.255 | 510 |
| 7 | 1.40.12.0/23 | 1.40.12.1 to 1.40.13.254 | 1.40.13.255 | 510 |
| 8 | 1.40.14.0/23 | 1.40.14.1 to 1.40.15.254 | 1.40.15.255 | 510 |
| 9 | 1.40.16.0/23 | 1.40.16.1 to 1.40.17.254 | 1.40.17.255 | 510 |
| 10 | 1.40.18.0/23 | 1.40.18.1 to 1.40.19.254 | 1.40.19.255 | 510 |
| 11 | 1.40.20.0/23 | 1.40.20.1 to 1.40.21.254 | 1.40.21.255 | 510 |
| 12 | 1.40.22.0/23 | 1.40.22.1 to 1.40.23.254 | 1.40.23.255 | 510 |
| 13 | 1.40.24.0/23 | 1.40.24.1 to 1.40.25.254 | 1.40.25.255 | 510 |
| 14 | 1.40.26.0/23 | 1.40.26.1 to 1.40.27.254 | 1.40.27.255 | 510 |
| 15 | 1.40.28.0/23 | 1.40.28.1 to 1.40.29.254 | 1.40.29.255 | 510 |
| 16 | 1.40.30.0/23 | 1.40.30.1 to 1.40.31.254 | 1.40.31.255 | 510 |
| 17 | 1.40.32.0/23 | 1.40.32.1 to 1.40.33.254 | 1.40.33.255 | 510 |
| 18 | 1.40.34.0/23 | 1.40.34.1 to 1.40.35.254 | 1.40.35.255 | 510 |
| 19 | 1.40.36.0/23 | 1.40.36.1 to 1.40.37.254 | 1.40.37.255 | 510 |
| 20 | 1.40.38.0/23 | 1.40.38.1 to 1.40.39.254 | 1.40.39.255 | 510 |
| 21 | 1.40.40.0/23 | 1.40.40.1 to 1.40.41.254 | 1.40.41.255 | 510 |
| 22 | 1.40.42.0/23 | 1.40.42.1 to 1.40.43.254 | 1.40.43.255 | 510 |
| 23 | 1.40.44.0/23 | 1.40.44.1 to 1.40.45.254 | 1.40.45.255 | 510 |
| 24 | 1.40.46.0/23 | 1.40.46.1 to 1.40.47.254 | 1.40.47.255 | 510 |
| 25 | 1.40.48.0/23 | 1.40.48.1 to 1.40.49.254 | 1.40.49.255 | 510 |
| 26 | 1.40.50.0/23 | 1.40.50.1 to 1.40.51.254 | 1.40.51.255 | 510 |
| 27 | 1.40.52.0/23 | 1.40.52.1 to 1.40.53.254 | 1.40.53.255 | 510 |
| 28 | 1.40.54.0/23 | 1.40.54.1 to 1.40.55.254 | 1.40.55.255 | 510 |
| 29 | 1.40.56.0/23 | 1.40.56.1 to 1.40.57.254 | 1.40.57.255 | 510 |
| 30 | 1.40.58.0/23 | 1.40.58.1 to 1.40.59.254 | 1.40.59.255 | 510 |
| 31 | 1.40.60.0/23 | 1.40.60.1 to 1.40.61.254 | 1.40.61.255 | 510 |
| 32 | 1.40.62.0/23 | 1.40.62.1 to 1.40.63.254 | 1.40.63.255 | 510 |
| 33 | 1.40.64.0/23 | 1.40.64.1 to 1.40.65.254 | 1.40.65.255 | 510 |
| 34 | 1.40.66.0/23 | 1.40.66.1 to 1.40.67.254 | 1.40.67.255 | 510 |
| 35 | 1.40.68.0/23 | 1.40.68.1 to 1.40.69.254 | 1.40.69.255 | 510 |
| 36 | 1.40.70.0/23 | 1.40.70.1 to 1.40.71.254 | 1.40.71.255 | 510 |
| 37 | 1.40.72.0/23 | 1.40.72.1 to 1.40.73.254 | 1.40.73.255 | 510 |
| 38 | 1.40.74.0/23 | 1.40.74.1 to 1.40.75.254 | 1.40.75.255 | 510 |
| 39 | 1.40.76.0/23 | 1.40.76.1 to 1.40.77.254 | 1.40.77.255 | 510 |
| 40 | 1.40.78.0/23 | 1.40.78.1 to 1.40.79.254 | 1.40.79.255 | 510 |
| 41 | 1.40.80.0/23 | 1.40.80.1 to 1.40.81.254 | 1.40.81.255 | 510 |
| 42 | 1.40.82.0/23 | 1.40.82.1 to 1.40.83.254 | 1.40.83.255 | 510 |
| 43 | 1.40.84.0/23 | 1.40.84.1 to 1.40.85.254 | 1.40.85.255 | 510 |
| 44 | 1.40.86.0/23 | 1.40.86.1 to 1.40.87.254 | 1.40.87.255 | 510 |
| 45 | 1.40.88.0/23 | 1.40.88.1 to 1.40.89.254 | 1.40.89.255 | 510 |
| 46 | 1.40.90.0/23 | 1.40.90.1 to 1.40.91.254 | 1.40.91.255 | 510 |
| 47 | 1.40.92.0/23 | 1.40.92.1 to 1.40.93.254 | 1.40.93.255 | 510 |
| 48 | 1.40.94.0/23 | 1.40.94.1 to 1.40.95.254 | 1.40.95.255 | 510 |
| 49 | 1.40.96.0/23 | 1.40.96.1 to 1.40.97.254 | 1.40.97.255 | 510 |
| 50 | 1.40.98.0/23 | 1.40.98.1 to 1.40.99.254 | 1.40.99.255 | 510 |
| 51 | 1.40.100.0/23 | 1.40.100.1 to 1.40.101.254 | 1.40.101.255 | 510 |
| 52 | 1.40.102.0/23 | 1.40.102.1 to 1.40.103.254 | 1.40.103.255 | 510 |
| 53 | 1.40.104.0/23 | 1.40.104.1 to 1.40.105.254 | 1.40.105.255 | 510 |
| 54 | 1.40.106.0/23 | 1.40.106.1 to 1.40.107.254 | 1.40.107.255 | 510 |
| 55 | 1.40.108.0/23 | 1.40.108.1 to 1.40.109.254 | 1.40.109.255 | 510 |
| 56 | 1.40.110.0/23 | 1.40.110.1 to 1.40.111.254 | 1.40.111.255 | 510 |
| 57 | 1.40.112.0/23 | 1.40.112.1 to 1.40.113.254 | 1.40.113.255 | 510 |
| 58 | 1.40.114.0/23 | 1.40.114.1 to 1.40.115.254 | 1.40.115.255 | 510 |
| 59 | 1.40.116.0/23 | 1.40.116.1 to 1.40.117.254 | 1.40.117.255 | 510 |
| 60 | 1.40.118.0/23 | 1.40.118.1 to 1.40.119.254 | 1.40.119.255 | 510 |
| 61 | 1.40.120.0/23 | 1.40.120.1 to 1.40.121.254 | 1.40.121.255 | 510 |
| 62 | 1.40.122.0/23 | 1.40.122.1 to 1.40.123.254 | 1.40.123.255 | 510 |
| 63 | 1.40.124.0/23 | 1.40.124.1 to 1.40.125.254 | 1.40.125.255 | 510 |
| 64 | 1.40.126.0/23 | 1.40.126.1 to 1.40.127.254 | 1.40.127.255 | 510 |
| 65 | 1.40.128.0/23 | 1.40.128.1 to 1.40.129.254 | 1.40.129.255 | 510 |
| 66 | 1.40.130.0/23 | 1.40.130.1 to 1.40.131.254 | 1.40.131.255 | 510 |
| 67 | 1.40.132.0/23 | 1.40.132.1 to 1.40.133.254 | 1.40.133.255 | 510 |
| 68 | 1.40.134.0/23 | 1.40.134.1 to 1.40.135.254 | 1.40.135.255 | 510 |
| 69 | 1.40.136.0/23 | 1.40.136.1 to 1.40.137.254 | 1.40.137.255 | 510 |
| 70 | 1.40.138.0/23 | 1.40.138.1 to 1.40.139.254 | 1.40.139.255 | 510 |
| 71 | 1.40.140.0/23 | 1.40.140.1 to 1.40.141.254 | 1.40.141.255 | 510 |
| 72 | 1.40.142.0/23 | 1.40.142.1 to 1.40.143.254 | 1.40.143.255 | 510 |
| 73 | 1.40.144.0/23 | 1.40.144.1 to 1.40.145.254 | 1.40.145.255 | 510 |
| 74 | 1.40.146.0/23 | 1.40.146.1 to 1.40.147.254 | 1.40.147.255 | 510 |
| 75 | 1.40.148.0/23 | 1.40.148.1 to 1.40.149.254 | 1.40.149.255 | 510 |
| 76 | 1.40.150.0/23 | 1.40.150.1 to 1.40.151.254 | 1.40.151.255 | 510 |
| 77 | 1.40.152.0/23 | 1.40.152.1 to 1.40.153.254 | 1.40.153.255 | 510 |
| 78 | 1.40.154.0/23 | 1.40.154.1 to 1.40.155.254 | 1.40.155.255 | 510 |
| 79 | 1.40.156.0/23 | 1.40.156.1 to 1.40.157.254 | 1.40.157.255 | 510 |
| 80 | 1.40.158.0/23 | 1.40.158.1 to 1.40.159.254 | 1.40.159.255 | 510 |
| 81 | 1.40.160.0/23 | 1.40.160.1 to 1.40.161.254 | 1.40.161.255 | 510 |
| 82 | 1.40.162.0/23 | 1.40.162.1 to 1.40.163.254 | 1.40.163.255 | 510 |
| 83 | 1.40.164.0/23 | 1.40.164.1 to 1.40.165.254 | 1.40.165.255 | 510 |
| 84 | 1.40.166.0/23 | 1.40.166.1 to 1.40.167.254 | 1.40.167.255 | 510 |
| 85 | 1.40.168.0/23 | 1.40.168.1 to 1.40.169.254 | 1.40.169.255 | 510 |
| 86 | 1.40.170.0/23 | 1.40.170.1 to 1.40.171.254 | 1.40.171.255 | 510 |
| 87 | 1.40.172.0/23 | 1.40.172.1 to 1.40.173.254 | 1.40.173.255 | 510 |
| 88 | 1.40.174.0/23 | 1.40.174.1 to 1.40.175.254 | 1.40.175.255 | 510 |
| 89 | 1.40.176.0/23 | 1.40.176.1 to 1.40.177.254 | 1.40.177.255 | 510 |
| 90 | 1.40.178.0/23 | 1.40.178.1 to 1.40.179.254 | 1.40.179.255 | 510 |
| 91 | 1.40.180.0/23 | 1.40.180.1 to 1.40.181.254 | 1.40.181.255 | 510 |
| 92 | 1.40.182.0/23 | 1.40.182.1 to 1.40.183.254 | 1.40.183.255 | 510 |
| 93 | 1.40.184.0/23 | 1.40.184.1 to 1.40.185.254 | 1.40.185.255 | 510 |
| 94 | 1.40.186.0/23 | 1.40.186.1 to 1.40.187.254 | 1.40.187.255 | 510 |
| 95 | 1.40.188.0/23 | 1.40.188.1 to 1.40.189.254 | 1.40.189.255 | 510 |
| 96 | 1.40.190.0/23 | 1.40.190.1 to 1.40.191.254 | 1.40.191.255 | 510 |
| 97 | 1.40.192.0/23 | 1.40.192.1 to 1.40.193.254 | 1.40.193.255 | 510 |
| 98 | 1.40.194.0/23 | 1.40.194.1 to 1.40.195.254 | 1.40.195.255 | 510 |
| 99 | 1.40.196.0/23 | 1.40.196.1 to 1.40.197.254 | 1.40.197.255 | 510 |
| 100 | 1.40.198.0/23 | 1.40.198.1 to 1.40.199.254 | 1.40.199.255 | 510 |
| 101 | 1.40.200.0/23 | 1.40.200.1 to 1.40.201.254 | 1.40.201.255 | 510 |
| 102 | 1.40.202.0/23 | 1.40.202.1 to 1.40.203.254 | 1.40.203.255 | 510 |
| 103 | 1.40.204.0/23 | 1.40.204.1 to 1.40.205.254 | 1.40.205.255 | 510 |
| 104 | 1.40.206.0/23 | 1.40.206.1 to 1.40.207.254 | 1.40.207.255 | 510 |
| 105 | 1.40.208.0/23 | 1.40.208.1 to 1.40.209.254 | 1.40.209.255 | 510 |
| 106 | 1.40.210.0/23 | 1.40.210.1 to 1.40.211.254 | 1.40.211.255 | 510 |
| 107 | 1.40.212.0/23 | 1.40.212.1 to 1.40.213.254 | 1.40.213.255 | 510 |
| 108 | 1.40.214.0/23 | 1.40.214.1 to 1.40.215.254 | 1.40.215.255 | 510 |
| 109 | 1.40.216.0/23 | 1.40.216.1 to 1.40.217.254 | 1.40.217.255 | 510 |
| 110 | 1.40.218.0/23 | 1.40.218.1 to 1.40.219.254 | 1.40.219.255 | 510 |
| 111 | 1.40.220.0/23 | 1.40.220.1 to 1.40.221.254 | 1.40.221.255 | 510 |
| 112 | 1.40.222.0/23 | 1.40.222.1 to 1.40.223.254 | 1.40.223.255 | 510 |
| 113 | 1.40.224.0/23 | 1.40.224.1 to 1.40.225.254 | 1.40.225.255 | 510 |
| 114 | 1.40.226.0/23 | 1.40.226.1 to 1.40.227.254 | 1.40.227.255 | 510 |
| 115 | 1.40.228.0/23 | 1.40.228.1 to 1.40.229.254 | 1.40.229.255 | 510 |
| 116 | 1.40.230.0/23 | 1.40.230.1 to 1.40.231.254 | 1.40.231.255 | 510 |
| 117 | 1.40.232.0/23 | 1.40.232.1 to 1.40.233.254 | 1.40.233.255 | 510 |
| 118 | 1.40.234.0/23 | 1.40.234.1 to 1.40.235.254 | 1.40.235.255 | 510 |
| 119 | 1.40.236.0/23 | 1.40.236.1 to 1.40.237.254 | 1.40.237.255 | 510 |
| 120 | 1.40.238.0/23 | 1.40.238.1 to 1.40.239.254 | 1.40.239.255 | 510 |
| 121 | 1.40.240.0/23 | 1.40.240.1 to 1.40.241.254 | 1.40.241.255 | 510 |
| 122 | 1.40.242.0/23 | 1.40.242.1 to 1.40.243.254 | 1.40.243.255 | 510 |
| 123 | 1.40.244.0/23 | 1.40.244.1 to 1.40.245.254 | 1.40.245.255 | 510 |
| 124 | 1.40.246.0/23 | 1.40.246.1 to 1.40.247.254 | 1.40.247.255 | 510 |
| 125 | 1.40.248.0/23 | 1.40.248.1 to 1.40.249.254 | 1.40.249.255 | 510 |
| 126 | 1.40.250.0/23 | 1.40.250.1 to 1.40.251.254 | 1.40.251.255 | 510 |
| 127 | 1.40.252.0/23 | 1.40.252.1 to 1.40.253.254 | 1.40.253.255 | 510 |
| 128 | 1.40.254.0/23 | 1.40.254.1 to 1.40.255.254 | 1.40.255.255 | 510 |
| 129 | 1.41.0.0/23 | 1.41.0.1 to 1.41.1.254 | 1.41.1.255 | 510 |
| 130 | 1.41.2.0/23 | 1.41.2.1 to 1.41.3.254 | 1.41.3.255 | 510 |
| 131 | 1.41.4.0/23 | 1.41.4.1 to 1.41.5.254 | 1.41.5.255 | 510 |
| 132 | 1.41.6.0/23 | 1.41.6.1 to 1.41.7.254 | 1.41.7.255 | 510 |
| 133 | 1.41.8.0/23 | 1.41.8.1 to 1.41.9.254 | 1.41.9.255 | 510 |
| 134 | 1.41.10.0/23 | 1.41.10.1 to 1.41.11.254 | 1.41.11.255 | 510 |
| 135 | 1.41.12.0/23 | 1.41.12.1 to 1.41.13.254 | 1.41.13.255 | 510 |
| 136 | 1.41.14.0/23 | 1.41.14.1 to 1.41.15.254 | 1.41.15.255 | 510 |
| 137 | 1.41.16.0/23 | 1.41.16.1 to 1.41.17.254 | 1.41.17.255 | 510 |
| 138 | 1.41.18.0/23 | 1.41.18.1 to 1.41.19.254 | 1.41.19.255 | 510 |
| 139 | 1.41.20.0/23 | 1.41.20.1 to 1.41.21.254 | 1.41.21.255 | 510 |
| 140 | 1.41.22.0/23 | 1.41.22.1 to 1.41.23.254 | 1.41.23.255 | 510 |
| 141 | 1.41.24.0/23 | 1.41.24.1 to 1.41.25.254 | 1.41.25.255 | 510 |
| 142 | 1.41.26.0/23 | 1.41.26.1 to 1.41.27.254 | 1.41.27.255 | 510 |
| 143 | 1.41.28.0/23 | 1.41.28.1 to 1.41.29.254 | 1.41.29.255 | 510 |
| 144 | 1.41.30.0/23 | 1.41.30.1 to 1.41.31.254 | 1.41.31.255 | 510 |
| 145 | 1.41.32.0/23 | 1.41.32.1 to 1.41.33.254 | 1.41.33.255 | 510 |
| 146 | 1.41.34.0/23 | 1.41.34.1 to 1.41.35.254 | 1.41.35.255 | 510 |
| 147 | 1.41.36.0/23 | 1.41.36.1 to 1.41.37.254 | 1.41.37.255 | 510 |
| 148 | 1.41.38.0/23 | 1.41.38.1 to 1.41.39.254 | 1.41.39.255 | 510 |
| 149 | 1.41.40.0/23 | 1.41.40.1 to 1.41.41.254 | 1.41.41.255 | 510 |
| 150 | 1.41.42.0/23 | 1.41.42.1 to 1.41.43.254 | 1.41.43.255 | 510 |
| 151 | 1.41.44.0/23 | 1.41.44.1 to 1.41.45.254 | 1.41.45.255 | 510 |
| 152 | 1.41.46.0/23 | 1.41.46.1 to 1.41.47.254 | 1.41.47.255 | 510 |
| 153 | 1.41.48.0/23 | 1.41.48.1 to 1.41.49.254 | 1.41.49.255 | 510 |
| 154 | 1.41.50.0/23 | 1.41.50.1 to 1.41.51.254 | 1.41.51.255 | 510 |
| 155 | 1.41.52.0/23 | 1.41.52.1 to 1.41.53.254 | 1.41.53.255 | 510 |
| 156 | 1.41.54.0/23 | 1.41.54.1 to 1.41.55.254 | 1.41.55.255 | 510 |
| 157 | 1.41.56.0/23 | 1.41.56.1 to 1.41.57.254 | 1.41.57.255 | 510 |
| 158 | 1.41.58.0/23 | 1.41.58.1 to 1.41.59.254 | 1.41.59.255 | 510 |
| 159 | 1.41.60.0/23 | 1.41.60.1 to 1.41.61.254 | 1.41.61.255 | 510 |
| 160 | 1.41.62.0/23 | 1.41.62.1 to 1.41.63.254 | 1.41.63.255 | 510 |
| 161 | 1.41.64.0/23 | 1.41.64.1 to 1.41.65.254 | 1.41.65.255 | 510 |
| 162 | 1.41.66.0/23 | 1.41.66.1 to 1.41.67.254 | 1.41.67.255 | 510 |
| 163 | 1.41.68.0/23 | 1.41.68.1 to 1.41.69.254 | 1.41.69.255 | 510 |
| 164 | 1.41.70.0/23 | 1.41.70.1 to 1.41.71.254 | 1.41.71.255 | 510 |
| 165 | 1.41.72.0/23 | 1.41.72.1 to 1.41.73.254 | 1.41.73.255 | 510 |
| 166 | 1.41.74.0/23 | 1.41.74.1 to 1.41.75.254 | 1.41.75.255 | 510 |
| 167 | 1.41.76.0/23 | 1.41.76.1 to 1.41.77.254 | 1.41.77.255 | 510 |
| 168 | 1.41.78.0/23 | 1.41.78.1 to 1.41.79.254 | 1.41.79.255 | 510 |
| 169 | 1.41.80.0/23 | 1.41.80.1 to 1.41.81.254 | 1.41.81.255 | 510 |
| 170 | 1.41.82.0/23 | 1.41.82.1 to 1.41.83.254 | 1.41.83.255 | 510 |
| 171 | 1.41.84.0/23 | 1.41.84.1 to 1.41.85.254 | 1.41.85.255 | 510 |
| 172 | 1.41.86.0/23 | 1.41.86.1 to 1.41.87.254 | 1.41.87.255 | 510 |
| 173 | 1.41.88.0/23 | 1.41.88.1 to 1.41.89.254 | 1.41.89.255 | 510 |
| 174 | 1.41.90.0/23 | 1.41.90.1 to 1.41.91.254 | 1.41.91.255 | 510 |
| 175 | 1.41.92.0/23 | 1.41.92.1 to 1.41.93.254 | 1.41.93.255 | 510 |
| 176 | 1.41.94.0/23 | 1.41.94.1 to 1.41.95.254 | 1.41.95.255 | 510 |
| 177 | 1.41.96.0/23 | 1.41.96.1 to 1.41.97.254 | 1.41.97.255 | 510 |
| 178 | 1.41.98.0/23 | 1.41.98.1 to 1.41.99.254 | 1.41.99.255 | 510 |
| 179 | 1.41.100.0/23 | 1.41.100.1 to 1.41.101.254 | 1.41.101.255 | 510 |
| 180 | 1.41.102.0/23 | 1.41.102.1 to 1.41.103.254 | 1.41.103.255 | 510 |
| 181 | 1.41.104.0/23 | 1.41.104.1 to 1.41.105.254 | 1.41.105.255 | 510 |
| 182 | 1.41.106.0/23 | 1.41.106.1 to 1.41.107.254 | 1.41.107.255 | 510 |
| 183 | 1.41.108.0/23 | 1.41.108.1 to 1.41.109.254 | 1.41.109.255 | 510 |
| 184 | 1.41.110.0/23 | 1.41.110.1 to 1.41.111.254 | 1.41.111.255 | 510 |
| 185 | 1.41.112.0/23 | 1.41.112.1 to 1.41.113.254 | 1.41.113.255 | 510 |
| 186 | 1.41.114.0/23 | 1.41.114.1 to 1.41.115.254 | 1.41.115.255 | 510 |
| 187 | 1.41.116.0/23 | 1.41.116.1 to 1.41.117.254 | 1.41.117.255 | 510 |
| 188 | 1.41.118.0/23 | 1.41.118.1 to 1.41.119.254 | 1.41.119.255 | 510 |
| 189 | 1.41.120.0/23 | 1.41.120.1 to 1.41.121.254 | 1.41.121.255 | 510 |
| 190 | 1.41.122.0/23 | 1.41.122.1 to 1.41.123.254 | 1.41.123.255 | 510 |
| 191 | 1.41.124.0/23 | 1.41.124.1 to 1.41.125.254 | 1.41.125.255 | 510 |
| 192 | 1.41.126.0/23 | 1.41.126.1 to 1.41.127.254 | 1.41.127.255 | 510 |
| 193 | 1.41.128.0/23 | 1.41.128.1 to 1.41.129.254 | 1.41.129.255 | 510 |
| 194 | 1.41.130.0/23 | 1.41.130.1 to 1.41.131.254 | 1.41.131.255 | 510 |
| 195 | 1.41.132.0/23 | 1.41.132.1 to 1.41.133.254 | 1.41.133.255 | 510 |
| 196 | 1.41.134.0/23 | 1.41.134.1 to 1.41.135.254 | 1.41.135.255 | 510 |
| 197 | 1.41.136.0/23 | 1.41.136.1 to 1.41.137.254 | 1.41.137.255 | 510 |
| 198 | 1.41.138.0/23 | 1.41.138.1 to 1.41.139.254 | 1.41.139.255 | 510 |
| 199 | 1.41.140.0/23 | 1.41.140.1 to 1.41.141.254 | 1.41.141.255 | 510 |
| 200 | 1.41.142.0/23 | 1.41.142.1 to 1.41.143.254 | 1.41.143.255 | 510 |
| 201 | 1.41.144.0/23 | 1.41.144.1 to 1.41.145.254 | 1.41.145.255 | 510 |
| 202 | 1.41.146.0/23 | 1.41.146.1 to 1.41.147.254 | 1.41.147.255 | 510 |
| 203 | 1.41.148.0/23 | 1.41.148.1 to 1.41.149.254 | 1.41.149.255 | 510 |
| 204 | 1.41.150.0/23 | 1.41.150.1 to 1.41.151.254 | 1.41.151.255 | 510 |
| 205 | 1.41.152.0/23 | 1.41.152.1 to 1.41.153.254 | 1.41.153.255 | 510 |
| 206 | 1.41.154.0/23 | 1.41.154.1 to 1.41.155.254 | 1.41.155.255 | 510 |
| 207 | 1.41.156.0/23 | 1.41.156.1 to 1.41.157.254 | 1.41.157.255 | 510 |
| 208 | 1.41.158.0/23 | 1.41.158.1 to 1.41.159.254 | 1.41.159.255 | 510 |
| 209 | 1.41.160.0/23 | 1.41.160.1 to 1.41.161.254 | 1.41.161.255 | 510 |
| 210 | 1.41.162.0/23 | 1.41.162.1 to 1.41.163.254 | 1.41.163.255 | 510 |
| 211 | 1.41.164.0/23 | 1.41.164.1 to 1.41.165.254 | 1.41.165.255 | 510 |
| 212 | 1.41.166.0/23 | 1.41.166.1 to 1.41.167.254 | 1.41.167.255 | 510 |
| 213 | 1.41.168.0/23 | 1.41.168.1 to 1.41.169.254 | 1.41.169.255 | 510 |
| 214 | 1.41.170.0/23 | 1.41.170.1 to 1.41.171.254 | 1.41.171.255 | 510 |
| 215 | 1.41.172.0/23 | 1.41.172.1 to 1.41.173.254 | 1.41.173.255 | 510 |
| 216 | 1.41.174.0/23 | 1.41.174.1 to 1.41.175.254 | 1.41.175.255 | 510 |
| 217 | 1.41.176.0/23 | 1.41.176.1 to 1.41.177.254 | 1.41.177.255 | 510 |
| 218 | 1.41.178.0/23 | 1.41.178.1 to 1.41.179.254 | 1.41.179.255 | 510 |
| 219 | 1.41.180.0/23 | 1.41.180.1 to 1.41.181.254 | 1.41.181.255 | 510 |
| 220 | 1.41.182.0/23 | 1.41.182.1 to 1.41.183.254 | 1.41.183.255 | 510 |
| 221 | 1.41.184.0/23 | 1.41.184.1 to 1.41.185.254 | 1.41.185.255 | 510 |
| 222 | 1.41.186.0/23 | 1.41.186.1 to 1.41.187.254 | 1.41.187.255 | 510 |
| 223 | 1.41.188.0/23 | 1.41.188.1 to 1.41.189.254 | 1.41.189.255 | 510 |
| 224 | 1.41.190.0/23 | 1.41.190.1 to 1.41.191.254 | 1.41.191.255 | 510 |
| 225 | 1.41.192.0/23 | 1.41.192.1 to 1.41.193.254 | 1.41.193.255 | 510 |
| 226 | 1.41.194.0/23 | 1.41.194.1 to 1.41.195.254 | 1.41.195.255 | 510 |
| 227 | 1.41.196.0/23 | 1.41.196.1 to 1.41.197.254 | 1.41.197.255 | 510 |
| 228 | 1.41.198.0/23 | 1.41.198.1 to 1.41.199.254 | 1.41.199.255 | 510 |
| 229 | 1.41.200.0/23 | 1.41.200.1 to 1.41.201.254 | 1.41.201.255 | 510 |
| 230 | 1.41.202.0/23 | 1.41.202.1 to 1.41.203.254 | 1.41.203.255 | 510 |
| 231 | 1.41.204.0/23 | 1.41.204.1 to 1.41.205.254 | 1.41.205.255 | 510 |
| 232 | 1.41.206.0/23 | 1.41.206.1 to 1.41.207.254 | 1.41.207.255 | 510 |
| 233 | 1.41.208.0/23 | 1.41.208.1 to 1.41.209.254 | 1.41.209.255 | 510 |
| 234 | 1.41.210.0/23 | 1.41.210.1 to 1.41.211.254 | 1.41.211.255 | 510 |
| 235 | 1.41.212.0/23 | 1.41.212.1 to 1.41.213.254 | 1.41.213.255 | 510 |
| 236 | 1.41.214.0/23 | 1.41.214.1 to 1.41.215.254 | 1.41.215.255 | 510 |
| 237 | 1.41.216.0/23 | 1.41.216.1 to 1.41.217.254 | 1.41.217.255 | 510 |
| 238 | 1.41.218.0/23 | 1.41.218.1 to 1.41.219.254 | 1.41.219.255 | 510 |
| 239 | 1.41.220.0/23 | 1.41.220.1 to 1.41.221.254 | 1.41.221.255 | 510 |
| 240 | 1.41.222.0/23 | 1.41.222.1 to 1.41.223.254 | 1.41.223.255 | 510 |
| 241 | 1.41.224.0/23 | 1.41.224.1 to 1.41.225.254 | 1.41.225.255 | 510 |
| 242 | 1.41.226.0/23 | 1.41.226.1 to 1.41.227.254 | 1.41.227.255 | 510 |
| 243 | 1.41.228.0/23 | 1.41.228.1 to 1.41.229.254 | 1.41.229.255 | 510 |
| 244 | 1.41.230.0/23 | 1.41.230.1 to 1.41.231.254 | 1.41.231.255 | 510 |
| 245 | 1.41.232.0/23 | 1.41.232.1 to 1.41.233.254 | 1.41.233.255 | 510 |
| 246 | 1.41.234.0/23 | 1.41.234.1 to 1.41.235.254 | 1.41.235.255 | 510 |
| 247 | 1.41.236.0/23 | 1.41.236.1 to 1.41.237.254 | 1.41.237.255 | 510 |
| 248 | 1.41.238.0/23 | 1.41.238.1 to 1.41.239.254 | 1.41.239.255 | 510 |
| 249 | 1.41.240.0/23 | 1.41.240.1 to 1.41.241.254 | 1.41.241.255 | 510 |
| 250 | 1.41.242.0/23 | 1.41.242.1 to 1.41.243.254 | 1.41.243.255 | 510 |
| 251 | 1.41.244.0/23 | 1.41.244.1 to 1.41.245.254 | 1.41.245.255 | 510 |
| 252 | 1.41.246.0/23 | 1.41.246.1 to 1.41.247.254 | 1.41.247.255 | 510 |
| 253 | 1.41.248.0/23 | 1.41.248.1 to 1.41.249.254 | 1.41.249.255 | 510 |
| 254 | 1.41.250.0/23 | 1.41.250.1 to 1.41.251.254 | 1.41.251.255 | 510 |
| 255 | 1.41.252.0/23 | 1.41.252.1 to 1.41.253.254 | 1.41.253.255 | 510 |
| 256 | 1.41.254.0/23 | 1.41.254.1 to 1.41.255.254 | 1.41.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |